Bug 197242 - Squid: a relevant number of "Excess data" errors in cache.log
Squid: a relevant number of "Excess data" errors in cache.log
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 12:05 EDT by Giuseppe Paterno
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giuseppe Paterno 2006-06-29 12:05:53 EDT
Description of problem:
A relevant number of "httpReadReply: Excess data from ..." are logged in
/var/log/squid/cache.log. Sample below (but there are many of them, most with
doubleclick or other ads sites):

--------------------------------------------------
2006/06/29 17:50:15| httpReadReply: Excess data from "GET
http://ad.it.doubleclick.net/1089089/cafe_336x280.swf?clickTag=http%3A//ad.it.doubleclick.net/click%253Bh%3Dv6%7C3413%7C3%7C0%7C%252a%7Cz%253B21824027%253B0-0%253B0%253B11943945%253B4252-336%7C280%253B16620021%7C16637916%7C1%253B%253B%257Esscs%253D%253fhttp%3A//www.microsoft.com/italy/getthefacts"
--------------------------------------------------

Squid in use is: squid-2.5.STABLE6-3.4E.12
Squid is used with ntlm authentication and Websense, but problem can be
reproduced without.

Patch is already available for Squid, follow these links:
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-excess_data
http://www.squid-cache.org/bugs/show_bug.cgi?id=1265
Thank you.
Comment 1 RHEL Product and Program Management 2006-08-18 11:19:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Martin Stransky 2006-10-25 07:04:05 EDT
included in squid-2.5.STABLE14
Comment 9 Red Hat Bugzilla 2007-05-01 19:28:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0251.html

Note You need to log in before you can comment on or make changes to this bug.